﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;
using System.Globalization;
using Telerik.WinControls.UI.Export;
using Telerik.WinControls.Data;
using Telerik.WinControls.UI.Localization;

namespace PersianLocalization
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.Load += new System.EventHandler(this.Form1_Load);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            RadGridLocalizationProvider.CurrentProvider = new PersianRadGridLocalizationProvider();
            List<Person> People = new List<Person>();
            List<Car> Cars = new List<Car>();

            // load primary data source  
            People.Add(new Person(1, 101, "Bob", 204.50M, 1));
            People.Add(new Person(2, 102, "Rob", 208.00M, 1));
            People.Add(new Person(3, 103, "Eric", 300.00M, 1));
            this.radGridView1.DataSource = People;

            GridViewTemplate carTemplate = new GridViewTemplate();
            Cars.Add(new Car(101, 1, "Ford", 100.50M, 1));
            Cars.Add(new Car(102, 2, "BMW", 104, 1));
            Cars.Add(new Car(102, 6, "BMW", 104, 1));
            Cars.Add(new Car(102, 7, "BMW", 104, 1));
            Cars.Add(new Car(102, 3, "Mazda", 100, 1));
            Cars.Add(new Car(102, 8, "Mazda", 100, 1));
            Cars.Add(new Car(102, 4, "Merc", 100, 1));
            Cars.Add(new Car(103, 5, "Honda", 100, 1));
            carTemplate.DataSource = Cars;

            // Now create first relation  
            GridViewRelation carsRelation = new GridViewRelation(this.radGridView1.MasterTemplate);
            carsRelation.ChildTemplate = carTemplate;
            carsRelation.RelationName = "ParentChild";
            carsRelation.ParentColumnNames.Add("ID2");
            carsRelation.ChildColumnNames.Add("ID");
            this.radGridView1.Relations.Add(carsRelation);

            this.radGridView1.MasterTemplate.Templates.Add(carTemplate);

            this.radGridView1.MasterTemplate.Templates[0].AllowAddNewRow = false;

            this.radGridView1.MasterTemplate.Templates[0].Columns["ID"].IsVisible = false;
            this.radGridView1.MasterTemplate.Templates[0].Columns["ID2"].IsVisible = false;
            this.radGridView1.MasterTemplate.Templates[0].Columns["Model"].Width = 150;
            this.radGridView1.MasterTemplate.Templates[0].Columns["Qty"].Width = 150;
            this.radGridView1.MasterTemplate.Templates[0].Columns["Price"].Width = 150;

            this.radGridView1.AutoGenerateColumns = false;
            this.radGridView1.AutoGenerateHierarchy = false;

            this.radGridView1.EnableFiltering = true;
            this.radGridView1.ShowFilteringRow = true;
        }
    }

    public class Person
    {
        public int ID { get; set; }
        public int ID2 { get; set; }
        public string Name { get; set; }
        public decimal Price { get; set; }
        public decimal Qty { get; set; }

        public Person() { }

        public Person(int id, int id2, string name, decimal price, decimal qty)
        {
            ID = id;
            ID2 = id2;
            Name = name;
            Price = price;
            Qty = qty;
        }
    }

    public class Car
    {
        public int ID { get; set; }
        public int ID2 { get; set; }
        public string Model { get; set; }
        public int Qty { get; set; }
        public decimal Price { get; set; }

        public Car() { }

        public Car(int id, int id2, string model, decimal price, int qty)
        {
            ID = id;
            ID2 = id2;
            Model = model;
            Qty = qty;
            Price = price;
        }
    }
}